Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		kdelibs
Version:	4.5.4
Release:	1
License:	LGPLv2
URL:		http://www.kde.org
Group:		Graphical Desktop/KDE4
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdelibs-%{version}.tar.bz2
Source1: 	kde4.sh
Source2: 	kde4.csh
# make libraries parallel-installable with KDE3 - borrowed from fedora
Patch200: 	kdelibs-4.4.90-parallel_devel.patch
# fix kde#149705
Patch202: 	kdelibs-4.4.90-kde149705.patch
# install all .css files and Doxyfile.global in kdelibs-common to build
# kdepimlibs-apidocs against
Patch208: 	kdelibs-4.3.90-install_all_css.patch
# add CCux/V-R to KHTML UA string
Patch209: 	kdelibs-4.0.2-branding.patch
Patch213: 	kdelibs-4.4.0-ccux-buildtype.patch
Patch220:	kdelibs-4.1.70-cmake.patch
Patch222:	kdelibs-4.1.96-cmake.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	K Desktop Environment 4 - Libraries
Requires:	aspell dbus-x11 shared-mime-info qt4 >= 4.4.0
Requires:	xdg-utils hicolor-icon-theme hunspell
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: 	kdelibs-common = %{version}-%{release}
Obsoletes: 	kdelibs4 < %{version}-%{release}
Provides:  	kdelibs4 = %{version}-%{release}
BuildRequires:	kde-filesystem
BuildRequires:	cmake avahi-devel
BuildRequires:	bzip2-devel
BuildRequires:	cups-devel
BuildRequires:	shared-mime-info
BuildRequires:	alsa-lib-devel
BuildRequires:	gettext-devel 
BuildRequires:	libXcomposite-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libxkbfile-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires:  libXtst-devel
BuildRequires:  libXv-devel 
BuildRequires:  libXxf86misc-devel

BuildRequires:	automoc4
BuildRequires:  openssl-devel
# prevent the propietary openGL incarnations from being drawn in
# the hard way
BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx

# Require for rpm lzma compression
Requires:       rpm >= 4.4.2.3-1
Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils

BuildRequires: shared-desktop-ontologies
BuildRequires: flex-devel
BuildRequires: polkit-qt-1-devel
BuildRequires: qca-devel
BuildRequires: libX11-devel
BuildRequires: libXi-devel

BuildRequires: pulseaudio-libs-devel
BuildRequires: portaudio-devel

BuildRequires: libdbusmenu-qt-devel

#Automatically resolved build dependencies
BuildRequires: aspell-devel
BuildRequires: attica-devel
BuildRequires: bzip2-devel
BuildRequires: e2fsprogs-devel
BuildRequires: enchant-devel
BuildRequires: gamin-devel
BuildRequires: giflib-devel
BuildRequires: glibc-devel
BuildRequires: ilmbase-devel
BuildRequires: jasper-devel
BuildRequires: krb5-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libxml2-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libxslt-devel
BuildRequires: libXtst-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: OpenEXR-devel
BuildRequires: pcre-devel
BuildRequires: perl
BuildRequires: phonon-devel
BuildRequires: qt4-devel
BuildRequires: soprano-devel
BuildRequires: strigi-devel
BuildRequires: xz-devel
BuildRequires: zlib-devel

%description
Libraries for the K Desktop Environment 4.

%package common
Group: 		System/Libraries
Summary: 	Common files for KDE 3 and KDE 4 libraries
Obsoletes: 	kdelibs4-common < %{version}-%{release}
Provides:  	kdelibs4-common = %{version}-%{release}


%description common
This package includes the common files for the KDE 3 and KDE 4 libraries.

%package devel
Group: 		Development/Libraries
Summary: 	Header files for compiling KDE 4 applications
Requires: 	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: 	qt4-devel
Requires: 	openssl-devel
Requires: 	bzip2-devel gamin-devel libacl-devel zlib-devel
Requires: 	strigi-devel >= 0.5.7
%{?x_deps:Requires: %{x_deps}}
Obsoletes: 	kdelibs4-devel < %{version}-%{release}
Provides:  	kdelibs4-devel = %{version}-%{release}


%description devel
This package includes the header files you will need to compile
applications for KDE 4.

%post
/sbin/ldconfig ||:
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun 
/sbin/ldconfig ||:
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%prep
%setup -q
%patch200 -p1
%patch202 -p1 -b .kde149705
%patch208 -p1 -b .all-css
%patch209 -p1 -b .branding
sed -i -e "s|@@VERSION_RELEASE@@|%{version}-%{release}|" kio/kio/kprotocolmanager.cpp
%patch213 -p1 -b .ccux-buildtype
%patch220 -p1
%patch222 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform} 
%{cmake_kde4} -DKDE_DISTRIBUTION_TEXT="CCux Linux package %{name}-%{version}-%{release}" ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=0

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# see also use-of/patching of XDG_MENU_PREFIX in kdebase
#mv %{buildroot}%{_kde4_sysconfdir}/xdg/menus/applications.menu \
#   %{buildroot}%{_kde4_sysconfdir}/xdg/menus/kde4-applications.menu

# move devel symlinks
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in lib*.so
do
  case "$i" in
    libkdeinit4_*.so)
      ;;
    ## FIXME/TODO: imo, should leave everything except for known-conflicts -- Rex
    *)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd


install -p -m 755 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/kde4.sh
install -p -m 755 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/kde4.csh

# install apidocs and generator script
install -p -D doc/api/doxygen.sh %{buildroot}%{_kde4_bindir}/kde4-doxygen.sh

%files
%defattr(-,root,root,-)
#%doc AUTHORS README TODO
#%doc COPYING.LIB
%config(noreplace) %{_sysconfdir}/profile.d/*
%{_kde4_bindir}/*
#%exclude %{_kde4_bindir}/kconfig_compiler4
%{_kde4_appsdir}/*
# kdewidgets
#%exclude %{_kde4_bindir}/makekdewidgets4
%exclude %{_kde4_appsdir}/kdewidgets/
%exclude %{_kde4_libdir}/kde4/plugins/designer/kdewidgets.*
%exclude %{_kde4_appsdir}/cmake/
%{_kde4_configdir}/*
%{_datadir}/dbus-1/interfaces/*
%{_libdir}/kde4/plugins/script/*
%{_kde4_datadir}/mime/packages/*
%{_kde4_sharedir}/kde4/services/*
%{_kde4_sharedir}/kde4/servicetypes/*
%{_kde4_sharedir}/icons/hicolor/*/actions/
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/libkdeinit4_*.so
%dir %{_kde4_libdir}/kde4/
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/kde4/libexec/*
%dir %{_kde4_libdir}/kde4/plugins/
%{_kde4_libdir}/kde4/plugins/imageformats/
%{_kde4_sysconfdir}/xdg/menus/*.menu
%doc %{_mandir}/man*/*
%doc %{_datadir}/doc/*
%exclude %{_kde4_configdir}/kdebug.areas
%exclude %{_kde4_configdir}/kdebugrc
%exclude %{_kde4_configdir}/ui/ui_standards.rc
%exclude %{_kde4_appsdir}/kdeui

%{_sysconfdir}/dbus-1/system.d/org.kde.auth.conf
#%{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmremotewidgets.conf
#%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmremotewidgets.service
%{_datadir}/icons/hicolor/scalable/apps/ktexteditorautobrace.svgz
#%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmremotewidgets.policy

%files common
%defattr(-,root,root,-)
%{_kde4_configdir}/kdebug.areas
%{_kde4_configdir}/kdebugrc
%dir %{_kde4_configdir}/ui
%{_kde4_configdir}/ui/ui_standards.rc
%{_kde4_appsdir}/kdeui
%{_kde4_docdir}/HTML/en/common/
%{_kde4_datadir}/locale/all_languages/
%{_kde4_libdir}/kde4/plugins/kauth/backend/kauth_backend_plugin.so
%{_kde4_libdir}/kde4/plugins/kauth/helper/kauth_helper_plugin.so

%files devel
%defattr(-,root,root,-)
#%doc KDE4PORTING.html
#%{_kde4_bindir}/kconfig_compiler4
#%{_kde4_bindir}/makekdewidgets4
%{_kde4_bindir}/kde4-doxygen.sh
%{_kde4_appsdir}/cmake/
%{_kde4_appsdir}/kdewidgets/
%{_kde4_includedir}/*
%{_kde4_libdir}/kde4/devel/
%{_kde4_libdir}/kde4/plugins/designer/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Sun Jul 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-2
- rebuilt
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Fri Aug 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Wed Jan 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.87-1
- version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Mon Sep 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.1-2
- rebuilt against Xorg 7.4
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-4
- refined requires, should fix upgrade problem
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-3
- renamed package,  moved homedir to .kde again
* Tue Jul 29 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- move devel symlink for parallel kde 3 install
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-2
- added no debug Patch
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version Update 4.1 RC 1
* Thu Jul 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-2
- rebuild against openEXR-1.6.1-2
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update 4.1 Beta 2
* Mon Jun 16 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-4
- rebuild against qt-4.4.0-6
* Fri Jun 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-3
- rebuild against gcc-4.3.1-1
* Wed Jun 11 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-2
- rebuild against qt4-4.4.0-5
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Version update 4.1 Beta 1
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.72-1
- Version update 4.1 Alpha 1
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Thu Feb 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.1-2
- moved KDEHOMEDIR to ~/.kde4
* Wed Feb 06 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Wed Dec 12 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Version update to RC2
* Thu Dec 06 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-6
- patching
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-5
- rebuild, moved prefix to /usr
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-4
- moved menu file
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-3
- rebuild against latest macro file
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-2
- moved devel symlinks again to correct location
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-1
- Version bump to latest rc
* Sun Nov 11 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.95.2-1
- Version update - svn735336
* Tue Sep 18 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.93-2
- Version update - svn714060
* Fri Sep 14 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.93-1
- Version update to beta 2 - svn712263
* Tue Aug 14 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.92-1
- Version update to beta 1 - svn700710
* Thu Jun 26 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-2
- Version update - svn680412
* Thu Jun 7 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-1
- Initial Release - svn672966
